javax.xml.registry.infomodel

## Interface ExtrinsicObject

- All Superinterfaces:
    ExtensibleObject, RegistryEntry, RegistryObject, Versionable

      public interface ExtrinsicObject
      extends RegistryEntry

  ExtrinsicObjects provide metadata that describes submitted content whose type is not intrinsically known to the registry and therefore must be described by means of additional attributes (e.g., mime type).

  Examples of content described by ExtrinsicObject include Collaboration Protocol Profiles (CPP), business process descriptions, and schemas.

  Author:
    Farrukh S. Najmi

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.registry.infomodel.RegistryEntry

      `STABILITY_DYNAMIC, STABILITY_DYNAMIC_COMPATIBLE, STABILITY_STATIC, STATUS_APPROVED, STATUS_DEPRECATED, STATUS_SUBMITTED, STATUS_WITHDRAWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMimeType()` Gets the mime type associated with this object.
    `DataHandler` | `getRepositoryItem()` Gets the repository item for this object.
    `boolean` | `isOpaque()` Determines whether the ExtrinsicObject is opaque (not readable) by the registry operator.
    `void` | `setMimeType(String mimeType)` Sets the mime type associated with this object.
    `void` | `setOpaque(boolean isOpaque)` Sets whether the ExtrinsicObject is opaque (not readable) by the registry.
    `void` | `setRepositoryItem(DataHandler repositoryItem)` Sets the repository item for this object.

    - ### Methods inherited from interface javax.xml.registry.infomodel.RegistryEntry

      `getExpiration, getStability, getStatus, setExpiration, setStability`

    - ### Methods inherited from interface javax.xml.registry.infomodel.RegistryObject

      `addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

    - ### Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject

      `addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

    - ### Methods inherited from interface javax.xml.registry.infomodel.Versionable

      `getMajorVersion, getMinorVersion, getUserVersion, setMajorVersion, setMinorVersion, setUserVersion`

- - ### Method Detail

    - #### getMimeType

          String getMimeType()
                             throws JAXRException

      Gets the mime type associated with this object. Default is a NULL String.

      Capability Level: 1
      Returns:
        the mime type associated with this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setMimeType

          void setMimeType(String mimeType)
                           throws JAXRException

      Sets the mime type associated with this object.

      Capability Level: 1
      Parameters:
        `mimeType` - the mime type associated with this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### isOpaque

          boolean isOpaque()
                           throws JAXRException

      Determines whether the ExtrinsicObject is opaque (not readable) by the registry operator.

      In some situations, a Submitting Organization may submit content that is encrypted and not even readable by the registry. This attribute allows the registry to know whether this is the case.

      Capability Level: 1
      Returns:
        `true` if the ExtrinsicObject is readable by the registry operator; `false` otherwise
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setOpaque

          void setOpaque(boolean isOpaque)
                         throws JAXRException

      Sets whether the ExtrinsicObject is opaque (not readable) by the registry.

      Capability Level: 1
      Parameters:
        `isOpaque` - boolean value set to `true` if the ExtrinsicObject is readable by the registry operator; `false` otherwise
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getRepositoryItem

          DataHandler getRepositoryItem()
                                        throws JAXRException

      Gets the repository item for this object. Must not return null.

      Capability Level: 1
      Returns:
        the DataHandler for the repository item
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setRepositoryItem

          void setRepositoryItem(DataHandler repositoryItem)
                                 throws JAXRException

      Sets the repository item for this object.

      Capability Level: 1
      Parameters:
        `repositoryItem` - the DataHandler for the repository item. Must not be null
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.